Package org.opensaml.saml.saml2.core

# Interface AuthzDecisionQuery

All Superinterfaces:
  `RequestAbstractType`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `SubjectQuery`, `XMLObject`

All Known Implementing Classes:
  `AuthzDecisionQueryImpl`

public interface AuthzDecisionQuery extends SubjectQuery
SAML 2.0 AuthzDecisionQuery.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`RESOURCE_ATTRIB_NAME`
Resource attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

## Method Summary

Modifier and Type
Method
Description
`List<Action>`
`getActions()`
Gets the Actions of this query.
`Evidence`
`getEvidence()`
Gets the Evidence of this query.
`String`
`getResource()`
Gets the Resource attrib value of this query.
`void`
`setEvidence(Evidence newEvidence)`
Sets the Evidence of this query.
`void`
`setResource(String newResource)`
Sets the Resource attrib value of this query.

### Methods inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.saml.saml2.core.SubjectQuery

`getSubject, setSubject`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### RESOURCE_ATTRIB_NAME

@Nonnull @NotEmpty static final String RESOURCE_ATTRIB_NAME
Resource attribute name.

See Also:
  - Constant Field Values

## Method Details

### getResource

@Nullable String getResource()
Gets the Resource attrib value of this query.

Returns:
  the Resource attrib value of this query

### setResource

void setResource(@Nullable String newResource)
Sets the Resource attrib value of this query.

Parameters:
  `newResource` - the new Resource attrib value of this query

### getActions

@Nonnull @Live List<Action> getActions()
Gets the Actions of this query.

Returns:
  the Actions of this query

### getEvidence

@Nullable Evidence getEvidence()
Gets the Evidence of this query.

Returns:
  the Evidence of this query

### setEvidence

void setEvidence(@Nullable Evidence newEvidence)
Sets the Evidence of this query.

Parameters:
  `newEvidence` - the new Evidence of this query